All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
bisect_gpu.hpp File Reference

Implementation of an bisection algorithm for eigenvalues. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/detail/bisect/structs.hpp"`
`#include "viennacl/linalg/detail/bisect/gerschgorin.hpp"`
`#include "viennacl/linalg/detail/bisect/bisect_large.hpp"`
`#include "viennacl/linalg/detail/bisect/bisect_small.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename NumericT >
bool | viennacl::linalg::bisect (const std::vector< NumericT > &diagonal, const std::vector< NumericT > &superdiagonal, std::vector< NumericT > &eigenvalues)
| bisect The bisection algorithm computes the eigevalues of a symmetric tridiagonal matrix. More...
template<typename NumericT >
bool | viennacl::linalg::bisect (const viennacl::vector< NumericT > &diagonal, const viennacl::vector< NumericT > &superdiagonal, viennacl::vector< NumericT > &eigenvalues)
| bisect The bisection algorithm computes the eigevalues of a symmetric tridiagonal matrix. More...

## Detailed Description

Implementation of an bisection algorithm for eigenvalues.

Implementation based on the sample provided with the CUDA 6.0 SDK, for which the creation of derivative works is allowed by including the following statement: "This software contains source code provided by NVIDIA Corporation."

Definition in file bisect_gpu.hpp.